var socketLink = null

fetch('/internal/socketlink', {
    method: "GET"
}).then(link => {socketLink = link})

const socket = io(socketLink);

socket.on("connect", () => {
    console.log("Connecté au serveur par le Socket avec l'ID : " + socket.id)
    get("MUSIC_STATE")
});

function get(request) {

    return new Promise((resolve, reject) => {

        socket.emit("GET/" + request)
        console.log("Envoi de la requête GET : " + request)
        
        socket.once("ANSWER/GET/" + request, (answer) => {
            
            console.log("Réponse pour la requête : " + request)
            
            resolve(answer)
                    
        })
        
    })
    
}

function send(request, data) {

    return new Promise((resolve, reject) => {

        socket.emit("SEND/" + request, data)
        console.log("Envoi de la requête SEND : " + request)
        
        socket.once("ANSWER/SEND/" + request, (answer) => {
            
            console.log("Réponse pour la requête : " + request)
            
            resolve(answer)
                    
        })
        
    })
    
}

function getSocket() {

    return socket
}
